﻿using MongoDB.Bson.Serialization;
using MongoDB.Driver;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Threading.Tasks;
using System.Web.Http;
using TestMongoWeb.Models;

namespace TestMongoWeb.Controllers
{

    public class ValuesController : ApiController
    {
        private MongoClient client;
        private MongoServer server;
        private MongoDatabase database;
        private MongoCollection<MyResource> collection;

        static ValuesController()
        {
            BsonClassMap.RegisterClassMap<MyResource>(o =>
            {
                o.AutoMap();
                o.SetIgnoreExtraElements(true);
            });
        }

        public ValuesController()
        {
            this.client = new MongoClient("");
            this.server = this.client.GetServer();
            this.database = this.server.GetDatabase("");

            this.collection = this.database.GetCollection<MyResource>("MyResources");
        }

        // GET api/values
        public async Task<IEnumerable<MyResource>> Get()
        {
            return await Task.FromResult(this.collection.FindAll());
        }

        // GET api/values/5
        public string Get(int id)
        {
            return "value";
        }

        // POST api/values
        public void Post([FromBody]string value)
        {
        }

        // PUT api/values/5
        public void Put(int id, [FromBody]string value)
        {
        }

        // DELETE api/values/5
        public void Delete(int id)
        {
        }
    }
}
